# errors.py
#
#

""" Possible exceptions. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## FOUTJES

class Error(BaseException):
    """ Exception used in the program. """
    pass

class NoJSON(Error):
    """ JSON could not be decoded. """
    pass

class WrongSignature(Error):
    """ Signature doesn't match. """
    pass

class TestError(Error):
    """ Test exception. """
    pass

class StopIter(Error):
    """ Stop the iteration. """
    pass

class NotImplemented(Error):
    """ Method is not implemented. """
    pass

class NoFunction(Error):
    """ No function could be found. """
    pass

class NoEvent(Error):
    """ No event is returned. """
    pass

class NoWorkdirSet(Error):
    """ A working directory is needed. """
    pass

class Overload(Error):
    """ Method is trying to be overloaded. """
    pass

class AttributeSet(Error):
    """ Attribute is already set. """
    pass

class DataNotSet(Error):
    """ Missing data. """
    pass

class NoTarget(Error):
    """ Missing target. """
    pass

class NoJSON(Error):
    """ JSON could be decoded/encoded. """
    pass

class RemoteDisconnect(Error):
    """ Exception thrown when the connection is disconnected. """
    pass

class NotSet(Error):
    """ Attribute is not set. """
    pass

class NotConnected(Error):
    """ Bot is not connected to server. """
    pass

class FileNotFoundError(Error):
    """ File is not found. """
    pass

class WrongArgument(Error):
    """ Wrong argument given. """
    pass

class WrongType(Error):
    """ Wrong type given. """
    pass

## ERROR

def error(*args, **kwargs):
    from meds.utils.trace import get_exception
    from meds.log import log
    txt = "& %s" % get_exception()
    if args: txt += " (%s)" % args[0]
    log("error", txt)
