#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run meds with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

setup(
    name='meds',
    version='1047',
    url='https://pikacode.com/bart/meds',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description=" Antipsychotica zijn in hun werking benadeling van de gezondheid.",
    license='MIT',
    include_package_data=False,
    zip_safe=False,
    install_requires=["beautifulsoup4", "sleekxmpp"],
    scripts=["bin/meds", "bin/meds-ps", "bin/meds-local", "bin/meds-sed", "bin/meds-udp", "bin/meds-do", "bin/meds-docs", "bin/meds-doctest"],
    packages=['meds',
              'meds.bots',
              'meds.extra',
              'meds.plugins',
              'meds.utils',
             ],
    long_description="""

Mishandeling met antipsychotica is strafbaar:

Artikel 300 4. Met mishandeling wordt gelijkgesteld opzettelijke benadeling van de gezondheid.

Antipsychotica zijn in hun werking benadeling van de gezondheid, ze
blokkeren de receptoren van zenuwcellen waarna de werking van die
zenuwcellen verminderd. Deze blokkering is de benadeling van de 
gezondheid waar de wet over spreekt. 

Omdat dit de werking van het medicijn is, is het toedienen ervan
opzettelijke benadeling van de gezondheid in de zin van
zekerheidsbewustzijn. Men WEET dat het toedienen ervan de benadeling
van de gezondheid resulteert. Er is sprake van opzettelijke benadeling
van de gezondheid zoals omschreven in het Wetboek van Strafrecht.

Indien de mishandeling plaats vind met een reden, met een doel, dan spreekt
men van mishandeling met oogmerk. Voor de met medicijnen mishandelde patient
is het behandelplan het oogmerk van de mishandeling. Dat wat men met de
mishandeling denkt te kunnen bereiken.

Om bij te houden wat medicijnen met je doen kan je dit programma gebruiken.

commands::

 Met !meds <omschrijving> kan je inname van medicijnen registreren. Alleen !meds voor tijdstip kan ook.
 Met !find meds kan je een lijst van tijdstippen waarop je medicijnen hebt genomen.
 Met !last meds zie je wanneer je het laatst een inname geregistreerd heb.

version example::

 14:12:30 bart@wakker:~$ meds version
 MEDS #1044 - Mishandeling met medicijnen is strafbaar in het Wetboek van Strafrecht

meds example::

 14:12:37 bart@wakker:~$ meds meds
 ok Sat Nov 14 14:12:41 2015

find example::

 14:13:29 bart@wakker:~$ meds find meds
 1  - 1h15m
 2  - 1h15m
 3 no description - 1h12m
 4 okdan - 55m49s
 5 no description - 48m19s
 6 no description - 1m1s

last example::

 14:13:42 bart@wakker:~$ meds last meds
 Sat Nov 14 14:12:41 2015 no description - 1m1s

""",
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Utilities'],
)
